Core - Bug # 55590

Status: Resolved Priority: Must have

Author: Frans Saris Category: Backend User Interface
Created: 2014-02-02 Assigned To:

Updated: 2014-03-04 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: TCA maximumRecordsChecked should display message

Description

When you have the eval of a field set to maximumRecordsChecked a message should be displayed in BE when the eval fails.

Related issues:

related to Core - Task # 55187: Allow unique evaulation for TCA type 'check’ Resolved 2014-01-20

Associated revisions

Revision 9f60ae5c - 2014-03-04 18:16 - Benjamin Mack

[BUGFIX] TCA maximumRecordsChecked should display message

The new eval function "maximumRecordsChecked"
silently disables the checkbox again when the

maximum number of records has been reached.

The patch adds a log entry for the user on saving
the record.

You can test this change with #55177.

Resolves: #55590

Releases: 6.2

Change-Id: 1e8489f6b8fe519130689098968ae28fabe7c7b8e
Reviewed-on: https:/review.typo3.org/27264

Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-02-02 15:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27264
#2 - 2014-03-04 17:49 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27264

#3 - 2014-03-04 18:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9f60ae5c8d3d2ef8493dad0da5287f9bb2c801bc.
